Loading...
Searching...
No Matches
pcl::common::uniform_distribution< T, std::enable_if_t< std::is_floating_point< T >::value > > Struct Template Reference

uniform distribution float specialized More...

`#include <pcl/common/random.h>`

## Public Types

using | type = std::uniform_real_distribution< T >

## Detailed Description

template<typename T>
struct pcl::common::uniform_distribution< T, std::enable_if_t< std::is_floating_point< T >::value > >

uniform distribution float specialized

Definition at line 60 of file random.h.

## Member Typedef Documentation

## type

template<typename T >

using pcl::common::uniform_distribution< T, std::enable_if_t< std::is_floating_point< T >::value > >::type = std::uniform_real_distribution<T>

Definition at line 62 of file random.h.

The documentation for this struct was generated from the following file:

- pcl/common/random.h